log4j.rootLogger=INFO,CONSOLE,FILE,ROLLING_FILE
###################
# Console Appender
###################
log4j.appender.CONSOLE=org.apache.log4j.ConsoleAppender
log4j.appender.Threshold=INFO
log4j.appender.CONSOLE.Target=System.out
log4j.appender.CONSOLE.layout=org.apache.log4j.PatternLayout
log4j.appender.CONSOLE.layout.ConversionPattern=[Ifish7][%-5p]%d - (%F:%L) - %m%n
########################
# [INFO]Daily Rolling File
########################
log4j.appender.FILE=org.apache.log4j.DailyRollingFileAppender
log4j.appender.FILE.Threshold=INFO
log4j.appender.FILE.File=/logs/ifish/Ifish7_ALL.log
log4j.appender.FILE.Append=true
log4j.appender.FILE.ImmediateFlush = true 
log4j.appender.FILE.DatePattern='.'yyyy-MM-dd 
log4j.appender.FILE.layout=org.apache.log4j.PatternLayout
log4j.appender.FILE.layout.ConversionPattern=[Ifish7][%-5p]%d - %c.%t(%F:%L) - %m%n

########################
# [ERROR]Rolling File
########################
log4j.appender.ROLLING_FILE=org.apache.log4j.DailyRollingFileAppender
log4j.appender.ROLLING_FILE.Threshold=ERROR
log4j.appender.ROLLING_FILE.File=/logs/ifish/Ifish7_ERROR.log
log4j.appender.ROLLING_FILE.Append=true
log4j.appender.ROLLING_FILE.ImmediateFlush = true 
log4j.appender.ROLLING_FILE.DatePattern='.'yyyy-MM-dd 
log4j.appender.ROLLING_FILE.layout=org.apache.log4j.PatternLayout
log4j.appender.ROLLING_FILE.layout.ConversionPattern=[Ifish7][%-5p]%d - %c.%t(%F:%L) - %m%n

log4j.logger.org.springframework=INFO
log4j.logger.com.hibernate=DEBUG
log4j.logger.java.sql=ERROR
